<template>
  <header class="header">
    <div class="header__wrapper">
      <b-img :src="logo" alt="Conexa Saúde" />
      <b-button 
        squared
        variant="primary"
        v-b-toggle.sidebar-backdrop>
        <b-icon-list />
      </b-button>
      <b-sidebar
        id="sidebar-backdrop"
        backdrop-variant="dark"
        backdrop
        shadow
        no-header
        text-variant="light"
        bg-variant="primary"
      >
        <div class="header__sidenav">
          <div class="header__sidenav--user">
            <b-avatar />
            <span class="username">{{ getUserName }}</span>
          </div>
          <div class="header__sidenav--nav">
            <div class="header__sidenav--item">
              <router-link :to="{ name: 'list' }">
                <b-icon-calendar-3 />
                <span>Minhas Consultas</span>
              </router-link>
            </div>
            <div class="header__sidenav--item">
              <router-link :to="{ name: 'create' }">
                <b-icon-calendar-2-plus />
                <span>Nova Consulta</span>
              </router-link>
            </div>
            <div class="header__sidenav--item logout">
              <button @click="$emit('on-signout')">
                <b-icon-power />
                <span>Sair</span>
              </button>
            </div>
          </div>
        </div>
      </b-sidebar>
    </div>
  </header>
</template>

<script>
import { mapGetters } from "vuex";
import logo from './../../assets/images/logo-conexa.svg'
export default {
  computed: {
    ...mapGetters('auth', ['getUserName'])
  },

  data() {
    return {
      logo: logo
    }
  }
}
</script>

<style>

</style>